apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: maya-global-backend-ingress
  annotations:
    kubernetes.io/ingress.global-static-ip-name: maya-global-backend-ip
    networking.gke.io/managed-certificates: maya-global-backend-cert
    kubernetes.io/ingress.class: gce
    networking.gke.io/v1beta1.FrontendConfig: maya-global-backend-frontend
spec:
  defaultBackend:
    service:
      name: maya-global-backend
      port:
        number: 80
  rules:
  - host: global.mayaresearch.ai
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: maya-global-backend
            port:
              number: 80
---
apiVersion: networking.gke.io/v1beta1
kind: FrontendConfig
metadata:
  name: maya-global-backend-frontend
spec:
  redirectToHttps:
    enabled: true
    responseCodeName: MOVED_PERMANENTLY_DEFAULT
